{ config, pkgs, ... }:

{

  hardware.pulseaudio = {
    enable = true;
    zeroconf.discovery.enable = true;
    daemon.config = {
      flat-volumes = "no";
      avoid-resampling = "yes";
      resample-method = "speex-float-10";
      default-sample-format = "s32le";
      default-sample-rate = "96000";
    };
    # package = pkgs.pulseaudio-hsphfpd;
    package = pkgs.pulseaudioFull;
    extraModules = [ pkgs.pulseaudio-modules-bt ];
  };

  # hardware.bluetooth.hsphfpd.enable = true;

  users.extraUsers.gebner.extraGroups = [ "bluetooth" ];

  services.pipewire = {
    enable = true;
  };

  # causes recompilation
  # nixpkgs.config.pulseaudio = true;

}
